<?php

// MONITOR_POLL: Responsible for returning the correct monitor visual when auto-polling is enabled (default)

include "../conf/conf.php";

// Sets
error_reporting(E_ALL ^ E_NOTICE ^ E_WARNING);

ini_set("session.bug_compat_42", 1);
ini_set("session.bug_compat_warn", 0);
ini_set("memory_limit", -1);
ini_set("display_errors", 0);
ini_set("display_startup_errors", 0);

// Tell the system we are in processor mode
$processor = 1;

// Load /modules/ directory recursively
recursiveModuleLoad();

// Load Database Connections
$idsDB = new idsDB;

// Get Primary Variables
$xdu = getVar("xdu");
$vis = getVar("vis");

// Simulate login to console
$login = new mySession("processor");
$login->setObj("backgroundUser", $xdu);
$login->initSession();

// Variable Initilization
$ops = new myOps();
$ops->loadOps();

main($xdu, $vis);

// Close Database Connections
$idsDB->close();

function main($user, $vis) {

	header ("Content-type: text/javascript");
	
    $data = addslashes(eventMonitorDisplay($vis));
    
    echo "document.getElementById('pollEventMonitor').innerHTML='$data';";
	unset($data, $user, $vis);
	
}

function recursiveModuleLoad() {
    global $root_path;

    # Read in all available modules recursively
    if (!$this_dir = @dir("$root_path/modules/")) {
        echo "conf.php ERROR:<p>\$root_path not correct or $root_path/modules/ not found! Check your conf.php settings<p>Exiting.";
        exit;
    }
    while ($dir = $this_dir->read()) {
        if ($dir != "." && $dir != "..") {
            if (substr($dir, -4, 4) == "_MOD") {
                $this_sub = dir("$root_path/modules/$dir");
                while ($file = $this_sub->read()) {
                    if ($file != "." && $file != "..") {
                        if (substr($file, 0,4) == "inc_") {
                            include "../modules/$dir/$file";
                        }
                    }
                }
            }
        }
    }

}

?>

